Get a product
Retrieves a product by its ID.
X-API-Key<token>
In: header
Path Parameters
productId*integer
ID of the product to retrieve.
Response Body
application/json
curl -X GET "https://example.com/v1/subscriptions/products/0"{ "id": "sp_Tlj0Osm0N76T", "name": "Bolt Subscription Product", "description": "This is a subscription product.", "merchant_product_id": "string", "merchant_variant_id": "string", "sku": "BOLT-12345", "unit_price": 1999, "currency": "USD", "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z", "plans": [ { "id": "spl_ba_PpkW16oIW", "name": "Monthly Subscription", "sku": "BOLT-12345", "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z", "frequency": 1, "product_id": "sp_Tlj0Osm0N76T", "frequency_unit": "month", "initial_period": { "frequency": 2, "frequency_unit": "week" }, "checkout_link": "https://your_site.c.boltapp.com/g?merchant_product_id=37&merchant_variant_id=67&publishable_key=BQ9PKQksUGtj.Q9LwVLfV3WF4.32122926f7b9651a416a5099dc92dc2b4c87c8b922c114229f83b345d65f1195" } ], "images": [ "https://example.com/image1.jpg", "https://example.com/image2.jpg" ]}